Zapier
Archive or restore a commitment through Zapier
Soft-deletes or restores the selected commitment record through commitments.update_status and returns its current archive state. Requires donation management and the primitive scope. To end a linked sponsorship through the full sponsorship lifecycle, use the dedicated cancellation endpoint.
PATCH
/
zapier
/
actions
/
commitments
/
{id}
/
status
Archive or restore a commitment through Zapier
curl --request PATCH \
--url https://api.gratona.com/v3/zapier/actions/commitments/{id}/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "active"
}
'import requests
url = "https://api.gratona.com/v3/zapier/actions/commitments/{id}/status"
payload = { "status": "active" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'active'})
};
fetch('https://api.gratona.com/v3/zapier/actions/commitments/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v3/zapier/actions/commitments/{id}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'status' => 'active'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v3/zapier/actions/commitments/{id}/status"
payload := strings.NewReader("{\n \"status\": \"active\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.gratona.com/v3/zapier/actions/commitments/{id}/status")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"status\": \"active\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v3/zapier/actions/commitments/{id}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"status\": \"active\"\n}"
response = http.request(request)
puts response.read_body{
"id": 12345,
"status": "active",
"updated_at": "2026-10-20T10:00:00Z",
"archived": false
}{
"success": true,
"data": "<unknown>",
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "Record was not found.",
"details": "<unknown>",
"field": "donor_id",
"messages": [
"<string>"
]
}
],
"warnings": [
"<string>"
],
"meta": "<unknown>"
}{
"message": "Unauthorized",
"status": "error"
}{
"success": false,
"errors": [
{
"code": "INSUFFICIENT_SCOPE",
"message": "Required scope is missing.",
"required_scope": "schema:read",
"available_scopes": [
"<string>"
],
"required_permission_groups": [
[
"<string>"
]
]
}
]
}{
"success": true,
"data": "<unknown>",
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "Record was not found.",
"details": "<unknown>",
"field": "donor_id",
"messages": [
"<string>"
]
}
],
"warnings": [
"<string>"
],
"meta": "<unknown>"
}{
"success": true,
"data": "<unknown>",
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "Record was not found.",
"details": "<unknown>",
"field": "donor_id",
"messages": [
"<string>"
]
}
],
"warnings": [
"<string>"
],
"meta": "<unknown>"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Identifier of the existing record in the authenticated organization.
Body
application/json
Validated input accepted by this Zapier transport.
Requested active or archived lifecycle state. Validation: required|string|in:active,archived.
Available options:
active, archived Example:
"active"
Response
Created, updated or replayed record; this transport unwraps the primitive success envelope.
⌘I
Archive or restore a commitment through Zapier
curl --request PATCH \
--url https://api.gratona.com/v3/zapier/actions/commitments/{id}/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "active"
}
'import requests
url = "https://api.gratona.com/v3/zapier/actions/commitments/{id}/status"
payload = { "status": "active" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'active'})
};
fetch('https://api.gratona.com/v3/zapier/actions/commitments/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v3/zapier/actions/commitments/{id}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'status' => 'active'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v3/zapier/actions/commitments/{id}/status"
payload := strings.NewReader("{\n \"status\": \"active\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.gratona.com/v3/zapier/actions/commitments/{id}/status")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"status\": \"active\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v3/zapier/actions/commitments/{id}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"status\": \"active\"\n}"
response = http.request(request)
puts response.read_body{
"id": 12345,
"status": "active",
"updated_at": "2026-10-20T10:00:00Z",
"archived": false
}{
"success": true,
"data": "<unknown>",
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "Record was not found.",
"details": "<unknown>",
"field": "donor_id",
"messages": [
"<string>"
]
}
],
"warnings": [
"<string>"
],
"meta": "<unknown>"
}{
"message": "Unauthorized",
"status": "error"
}{
"success": false,
"errors": [
{
"code": "INSUFFICIENT_SCOPE",
"message": "Required scope is missing.",
"required_scope": "schema:read",
"available_scopes": [
"<string>"
],
"required_permission_groups": [
[
"<string>"
]
]
}
]
}{
"success": true,
"data": "<unknown>",
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "Record was not found.",
"details": "<unknown>",
"field": "donor_id",
"messages": [
"<string>"
]
}
],
"warnings": [
"<string>"
],
"meta": "<unknown>"
}{
"success": true,
"data": "<unknown>",
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "Record was not found.",
"details": "<unknown>",
"field": "donor_id",
"messages": [
"<string>"
]
}
],
"warnings": [
"<string>"
],
"meta": "<unknown>"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}